Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class ListGroupSelector

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.ListGroupSelector

All Implemented Interfaces:
  AgentGroupSelector

    public class ListGroupSelector

extends Object
implements AgentGroupSelector

Represents an agent group selector using static lists for agent selection. When a call enters the center, the group of the serving agent is given by the first group, among the user-specified groups i0, i1,…, containing at least one free agent.

Constructor Summary
`ListGroupSelector(int numGroups, int[] groupList)` Constructs a new list-based agent group selector using the given static list `groupList`.

Method Summary
`double[]` | `getRanks()` Returns an array giving the rank associated with each agent group by this agent group selector.
`int` | `selectAgentGroup(CallCenterCTMC ctmc, int tr)` Selects an agent group for the newly arrived contact, and returns the index of the selected agent group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListGroupSelector

    public ListGroupSelector(int numGroups,
                             int[] groupList)

  Constructs a new list-based agent group selector using the given static list `groupList`.

  Parameters:
    `groupList` - the list of agent groups being queried by `selectAgentGroup(CallCenterCTMC,int)`.

Method Detail

### selectAgentGroup

    public int selectAgentGroup(CallCenterCTMC ctmc,
                                int tr)

  Description copied from interface: `AgentGroupSelector`
  Selects an agent group for the newly arrived contact, and returns the index of the selected agent group. If no agent group can be selected, this method returns a negative value.

  Specified by:
    `selectAgentGroup` in interface `AgentGroupSelector`
  Parameters:
    `ctmc` - the call center CTMC model.
    `tr` - the current transition number.
  Returns:
    the selected agent group.

### getRanks

    public double[] getRanks()

  Description copied from interface: `AgentGroupSelector`
  Returns an array giving the rank associated with each agent group by this agent group selector.

  Specified by:
    `getRanks` in interface `AgentGroupSelector`
  Returns:
    the array of ranks.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.